<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical"
    android:paddingLeft="@dimen/dp_20"
    android:paddingRight="@dimen/dp_20">

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <TextView
                android:id="@+id/tv_return"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_54"
                android:drawableLeft="@mipmap/icon_black_return"
                android:drawablePadding="@dimen/dp_6"
                android:gravity="center"
                android:text="返回"
                android:textColor="@color/col_313"
                android:textSize="@dimen/sp_15" />


            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_19"
                android:layout_marginTop="@dimen/dp_40"
                android:text="@string/login_log"
                android:textColor="@color/col_313"
                android:textSize="@dimen/sp_24"
                android:textStyle="bold" />

            <com.androidkun.xtablayout.XTabLayout
                android:id="@+id/tab_title"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_40"
                android:layout_marginLeft="@dimen/dp_19"
                android:layout_marginTop="@dimen/dp_67"
                android:background="@color/white"
                app:xTabMode="scrollable"
                app:xTabDisplayNum="5"
                app:xTabIndicatorColor="@color/col_02c"
                app:xTabIndicatorHeight="@dimen/dp_3"
                app:xTabIndicatorRoundY="@dimen/dp_3"
                app:xTabIndicatorWidth="@dimen/dp_21"
                app:xTabSelectedTextColor="@color/col_02c"
                app:xTabSelectedTextSize="@dimen/sp_15"
                app:xTabTextColor="@color/col_c7c"
                app:xTabTextSize="@dimen/sp_15" />


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <EditText
                    android:id="@+id/mAccount"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_20"
                    android:background="@drawable/shape_r25_eeeeee"
                    android:hint="@string/please_input_phone"
                    android:inputType="phone"
                    android:paddingLeft="@dimen/dp_20"
                    android:paddingTop="@dimen/dp_18"
                    android:paddingBottom="@dimen/dp_18"
                    android:singleLine="true"
                    android:maxLength="11"
                    android:text=""
                    android:textColor="@color/col_313"
                    android:textColorHint="@color/col_c7c"
                    android:textSize="@dimen/sp_15" />

                <RelativeLayout
                    android:id="@+id/mRelCode"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_30"
                    android:visibility="gone"
                    >

                    <EditText
                        android:id="@+id/mCode"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_toLeftOf="@+id/mTvCode"
                        android:background="@drawable/shape_r25_eeeeee"
                        android:hint="@string/please_input_code"
                        android:inputType="number"
                        android:paddingLeft="@dimen/dp_20"
                        android:paddingTop="@dimen/dp_18"
                        android:paddingBottom="@dimen/dp_18"
                        android:singleLine="true"
                        android:textColor="@color/col_313"
                        android:textColorHint="@color/col_c7c"
                        android:textSize="@dimen/sp_16" />

                    <TextView
                        android:id="@+id/mTvCode"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_centerVertical="true"
                        android:background="@drawable/selector_login_btn"
                        android:layout_marginLeft="@dimen/dp_13"
                        android:paddingLeft="@dimen/dp_20"
                        android:paddingTop="@dimen/dp_18"
                        android:paddingBottom="@dimen/dp_18"
                        android:paddingRight="@dimen/dp_20"
                        android:text="@string/get_code"
                        android:textColor="@color/white"
                        android:textSize="14sp" />

                </RelativeLayout>

                <RelativeLayout
                    android:id="@+id/mRelPwd"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_30"
                    android:background="@drawable/shape_r25_eeeeee">

                    <EditText
                        android:id="@+id/mPsw"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_toLeftOf="@+id/mShow"
                        android:background="@null"
                        android:hint="@string/please_input_password"
                        android:inputType="textPassword"
                        android:paddingLeft="@dimen/dp_20"
                        android:paddingTop="@dimen/dp_18"
                        android:paddingBottom="@dimen/dp_18"
                        android:singleLine="true"
                        android:text=""
                        android:textColor="@color/col_313"
                        android:textColorHint="@color/col_c7c"
                        android:textSize="@dimen/dp_16" />

                    <ImageView
                        android:id="@+id/mShow"
                        android:layout_width="@dimen/dp_48"
                        android:layout_height="@dimen/dp_48"
                        android:layout_alignParentRight="true"
                        android:layout_centerVertical="true"
                        android:scaleType="center"
                        android:src="@drawable/selector_pwd" />

                </RelativeLayout>


            </LinearLayout>

            <TextView
                android:id="@+id/mError"
                android:layout_width="wrap_content"
                android:layout_height="29dp"
                android:textColor="@color/col_e03"
                android:visibility="gone"
                android:textSize="@dimen/sp_14" />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_12"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/seleck"
                    android:layout_width="@dimen/dp_15"
                    android:layout_height="@dimen/dp_15"
                    android:background="@drawable/selctor_check_sel"
                    android:padding="@dimen/dp_10" />

                <TextView
                    android:id="@+id/mPrivate"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_marginLeft="@dimen/dp_8"
                    android:gravity="center"
                    android:textSize="@dimen/sp_13"
                    android:text="隐私条款"
                    android:textColor="@color/col_c7c" />

            </LinearLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_10"
                android:layout_marginTop="@dimen/dp_72"
                android:layout_marginRight="@dimen/dp_10">

                <TextView
                    android:id="@+id/mLogin"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_20"
                    android:background="@drawable/selector_login_btn"
                    android:gravity="center"
                    android:padding="@dimen/dp_16"
                    android:text="@string/sign_in"
                    android:textColor="@color/white"
                    android:textSize="@dimen/sp_18"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/mRegister"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/mLogin"
                    android:layout_marginTop="@dimen/sp_20"
                    android:text="新用户注册"
                    android:textColor="@color/col_313"
                    android:textSize="@dimen/sp_14" />

                <TextView
                    android:id="@+id/mForget"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/mLogin"
                    android:layout_alignParentRight="true"
                    android:layout_marginTop="@dimen/sp_20"
                    android:text="@string/forget"
                    android:textColor="@color/col_313"
                    android:textSize="@dimen/sp_14" />

            </RelativeLayout>

        </LinearLayout>

    </androidx.core.widget.NestedScrollView>

</LinearLayout>